package com.lemon.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;

/**
 * @program: Lemon
 * @description:
 * @author: ray
 * @create: 2022-11-03 20:10
 **/
public class Case {
    // @Email 验证该行是否满足email的格式，若不满足则过滤
    @Excel(name = "用例编号")
    private String id;
    @Excel(name = "用例描述")
    private String desc;
    @Excel(name = "参数")
    private String params;
    @Excel(name = "接口编号")
    private String apiID;
    @Excel(name = "期望响应数据")
    private String expectValue;
    @Excel(name = "A段校验SQL")
    private String checkSQL;
    @Excel(name = "A段预期结果")
    private String aExpectValue;
    @Excel(name = "B段校验SQL")
    private String checkBSQL;
    @Excel(name = "B段预期结果")
    private String bExpectValue;

    public Case() {
    }

    public Case(String id, String desc, String params, String apiID, String expectValue, String checkSQL, String aExpectValue, String checkBSQL, String bExpectValue) {
        this.id = id;
        this.desc = desc;
        this.params = params;
        this.apiID = apiID;
        this.expectValue = expectValue;
        this.checkSQL = checkSQL;
        this.aExpectValue = aExpectValue;
        this.checkBSQL = checkBSQL;
        this.bExpectValue = bExpectValue;
    }

    public String getId() {
        return id;
    }

    public String getDesc() {
        return desc;
    }

    public String getParams() {
        return params;
    }

    public String getApiID() {
        return apiID;
    }

    public String getExpectValue() {
        return expectValue;
    }

    public String getCheckSQL() {
        return checkSQL;
    }

    public String getaExpectValue() {
        return aExpectValue;
    }

    public String getCheckBSQL() {
        return checkBSQL;
    }

    public String getbExpectValue() {
        return bExpectValue;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public void setApiID(String apiID) {
        this.apiID = apiID;
    }

    public void setExpectValue(String expectValue) {
        this.expectValue = expectValue;
    }

    public void setCheckSQL(String checkSQL) {
        this.checkSQL = checkSQL;
    }

    public void setaExpectValue(String aExpectValue) {
        this.aExpectValue = aExpectValue;
    }

    public void setCheckBSQL(String checkBSQL) {
        this.checkBSQL = checkBSQL;
    }

    public void setbExpectValue(String bExpectValue) {
        this.bExpectValue = bExpectValue;
    }

    @Override
    public String toString() {
        return "Case{" +
                "id='" + id + '\'' +
                ", desc='" + desc + '\'' +
                ", params='" + params + '\'' +
                ", apiID='" + apiID + '\'' +
                ", expectValue='" + expectValue + '\'' +
                ", checkSQL='" + checkSQL + '\'' +
                ", aExpectValue='" + aExpectValue + '\'' +
                ", checkBSQL='" + checkBSQL + '\'' +
                ", bExpectValue='" + bExpectValue + '\'' +
                '}';
    }
}
